org.apache.xmlbeans.impl.tool

## Class XsbDumper

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.XsbDumper

    public class XsbDumper
    extends Object

### Field Summary

Fields
`static int` `DATA_BABE`
`static int` `FIELD_GLOBAL`
`static int` `FIELD_LOCALATTR`
`static int` `FIELD_LOCALELT`
`static int` `FIELD_NONE`
`static int` `FILETYPE_SCHEMAATTRIBUTE`
`static int` `FILETYPE_SCHEMAATTRIBUTEGROUP`
`static int` `FILETYPE_SCHEMAELEMENT`
`static int` `FILETYPE_SCHEMAINDEX`
`static int` `FILETYPE_SCHEMAMODELGROUP`
`static int` `FILETYPE_SCHEMAPOINTER`
`static int` `FILETYPE_SCHEMATYPE`
`static int` `FLAG_PART_ABSTRACT`
`static int` `FLAG_PART_BLOCKEXT`
`static int` `FLAG_PART_BLOCKREST`
`static int` `FLAG_PART_BLOCKSUBST`
`static int` `FLAG_PART_FINALEXT`
`static int` `FLAG_PART_FINALREST`
`static int` `FLAG_PART_FIXED`
`static int` `FLAG_PART_NILLABLE`
`static int` `FLAG_PART_SKIPPABLE`
`static int` `FLAG_PROP_ISATTR`
`static int` `FLAG_PROP_JAVAARRAY`
`static int` `FLAG_PROP_JAVAOPTIONAL`
`static int` `FLAG_PROP_JAVASINGLETON`
`static int` `MAJOR_VERSION`
`static int` `MINOR_VERSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected boolean` `atLeast(int majorver, int minorver, int releaseno)`
`protected boolean` `atMost(int majorver, int minorver, int releaseno)`
`static void` `dump(InputStream input)`
`static void` `dump(InputStream input, String indent)`
`static void` `dump(InputStream input, String indent, PrintStream output)`
`protected int` `dumpHeader()`
`protected void` `dumpIndexData()`
`static void` `dumpZip(File file)`
`static void` `main(String[] args)`
`static void` `printUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DATA_BABE

    public static final int DATA_BABE

See Also:
  Constant Field Values

#### MAJOR_VERSION

    public static final int MAJOR_VERSION

See Also:
  Constant Field Values

#### MINOR_VERSION

    public static final int MINOR_VERSION

See Also:
  Constant Field Values

#### FILETYPE_SCHEMAINDEX

    public static final int FILETYPE_SCHEMAINDEX

See Also:
  Constant Field Values

#### FILETYPE_SCHEMATYPE

    public static final int FILETYPE_SCHEMATYPE

See Also:
  Constant Field Values

#### FILETYPE_SCHEMAELEMENT

    public static final int FILETYPE_SCHEMAELEMENT

See Also:
  Constant Field Values

#### FILETYPE_SCHEMAATTRIBUTE

    public static final int FILETYPE_SCHEMAATTRIBUTE

See Also:
  Constant Field Values

#### FILETYPE_SCHEMAPOINTER

    public static final int FILETYPE_SCHEMAPOINTER

See Also:
  Constant Field Values

#### FILETYPE_SCHEMAMODELGROUP

    public static final int FILETYPE_SCHEMAMODELGROUP

See Also:
  Constant Field Values

#### FILETYPE_SCHEMAATTRIBUTEGROUP

    public static final int FILETYPE_SCHEMAATTRIBUTEGROUP

See Also:
  Constant Field Values

#### FLAG_PART_SKIPPABLE

    public static final int FLAG_PART_SKIPPABLE

See Also:
  Constant Field Values

#### FLAG_PART_FIXED

    public static final int FLAG_PART_FIXED

See Also:
  Constant Field Values

#### FLAG_PART_NILLABLE

    public static final int FLAG_PART_NILLABLE

See Also:
  Constant Field Values

#### FLAG_PART_BLOCKEXT

    public static final int FLAG_PART_BLOCKEXT

See Also:
  Constant Field Values

#### FLAG_PART_BLOCKREST

    public static final int FLAG_PART_BLOCKREST

See Also:
  Constant Field Values

#### FLAG_PART_BLOCKSUBST

    public static final int FLAG_PART_BLOCKSUBST

See Also:
  Constant Field Values

#### FLAG_PART_ABSTRACT

    public static final int FLAG_PART_ABSTRACT

See Also:
  Constant Field Values

#### FLAG_PART_FINALEXT

    public static final int FLAG_PART_FINALEXT

See Also:
  Constant Field Values

#### FLAG_PART_FINALREST

    public static final int FLAG_PART_FINALREST

See Also:
  Constant Field Values

#### FLAG_PROP_ISATTR

    public static final int FLAG_PROP_ISATTR

See Also:
  Constant Field Values

#### FLAG_PROP_JAVASINGLETON

    public static final int FLAG_PROP_JAVASINGLETON

See Also:
  Constant Field Values

#### FLAG_PROP_JAVAOPTIONAL

    public static final int FLAG_PROP_JAVAOPTIONAL

See Also:
  Constant Field Values

#### FLAG_PROP_JAVAARRAY

    public static final int FLAG_PROP_JAVAARRAY

See Also:
  Constant Field Values

#### FIELD_NONE

    public static final int FIELD_NONE

See Also:
  Constant Field Values

#### FIELD_GLOBAL

    public static final int FIELD_GLOBAL

See Also:
  Constant Field Values

#### FIELD_LOCALATTR

    public static final int FIELD_LOCALATTR

See Also:
  Constant Field Values

#### FIELD_LOCALELT

    public static final int FIELD_LOCALELT

See Also:
  Constant Field Values

### Method Detail

#### printUsage

    public static void printUsage()

#### main

    public static void main(String[] args)

#### dumpZip

    public static void dumpZip(File file)

#### dump

    public static void dump(InputStream input)

#### dump

    public static void dump(InputStream input,
                            String indent)

#### dump

    public static void dump(InputStream input,
                            String indent,
                            PrintStream output)

#### dumpHeader

    protected int dumpHeader()

#### dumpIndexData

    protected void dumpIndexData()

#### atLeast

    protected boolean atLeast(int majorver,
                              int minorver,
                              int releaseno)

#### atMost

    protected boolean atMost(int majorver,
                             int minorver,
                             int releaseno)